#include <windows.h>
#include <tchar.h>
#include "common.h"

BOOL CALLBACK DlgProc( HWND hDlg, UINT uMsg, WPARAM wParam, LPARAM lParam)
{
	HWND hwndTgt;
	
	switch( uMsg){
	case WM_INITDIALOG:
		return TRUE;
	
	case WM_COMMAND:
		switch( LOWORD( wParam) ){
		case IDOK:
			// bZ[W̑M
			hwndTgt = FindWindow( NULL, RCVTITLE);
			if( hwndTgt != 0){
				TCHAR buf[128];
				GetDlgItemText( hDlg, IDC_TEXT, buf, 128);
				
				COPYDATASTRUCT cds;
				cds.dwData = ID_STRING;
				cds.cbData = ( _tcslen( buf) + 1) * sizeof(TCHAR);
				cds.lpData = buf;
				SendMessage( hwndTgt, WM_COPYDATA, (WPARAM)hDlg, (LPARAM)&cds);
				return TRUE;
			}
			break;
			
		case IDCANCEL:
			// _CAȌI
			EndDialog( hDlg, FALSE);
			return TRUE;
		}
		break;
	}
	return FALSE;
}

int WINAPI WinMain( HINSTANCE hInst, HINSTANCE hPrev, LPSTR lpCL, int nCS)
{
	DialogBox( hInst, MAKEINTRESOURCE( IDD_SENDDLG), 0, (DLGPROC)DlgProc);
	return 0;
}
