#define	_WIN32_WINNT 0x500
#include <windows.h>
#include <stdio.h>

#define	MAX_BUF_SZ		(100000)

int CALLBACK enumproc( CONST LOGFONT *lplf, CONST TEXTMETRIC *lptm,
						DWORD dwType, LPARAM lpData)
{
	HDC hdc = (HDC)lpData;
	
	// tHg̏𒲂ׂ邽߂DCɑI
	HFONT hf = CreateFontIndirect( lplf);
	HFONT hfOrig = (HFONT)SelectObject( hdc, hf);
	
	// obt@ETCY邩ǂׂ
	DWORD neededSize = GetFontUnicodeRanges( hdc, NULL);
	if( neededSize <= MAX_BUF_SZ){
		// T|[gUnicodẽR[hEW擾
		BYTE buf[MAX_BUF_SZ];
		GLYPHSET *pGS = (GLYPHSET *)buf;
		pGS->cbThis = sizeof(buf);
		if( GetFontUnicodeRanges( hdc, pGS) != 0){
			// U+0600`U+06FF͈̔͂̕𐔂
			int totalGlyphs = 0;
			for( int i=0; i<(int)pGS->cRanges; i++){
				WORD low = pGS->ranges[i].wcLow;
				WORD high = low + pGS->ranges[i].cGlyphs;
				if( low < 0x600){
					if( high >= 0x700)		totalGlyphs += 0x100;
					else if( high > 0x600)	totalGlyphs += high - 0x600;
				}
				else if( low < 0x700){
					if( high >= 0x700)	totalGlyphs += 0x700 - low;
					else				totalGlyphs += high - low;
				}
			}
			
			// ArÃAt@xbg28Ȃ̂ŁCŒႻȏ
			// ̂iƂ (Ȕł͂Ȃ)
			if( totalGlyphs >= 28){
				printf( "%s (%d)\n", lplf->lfFaceName, totalGlyphs);
			}
		}
		else{
			fprintf( stderr, "Cannot get UNICODE ranges.\n");
		}
	}
	else{
		fprintf( stderr, "Buffer is too small.\n");
	}
	
	SelectObject( hdc, hfOrig);
	DeleteObject( hf);
	
	return 1;
}

int main( void)
{
	// ArAT|[gtHg𐔂グ
	HWND hwnd = GetDesktopWindow();
	HDC hdc = GetDC( hwnd);
	EnumFonts( hdc, NULL, enumproc, (LPARAM)hdc);
	ReleaseDC( hwnd, hdc);
	return 0;
}
