#define	COBJMACROS
#include <windows.h>
#include <shlobj.h>
#include <stdlib.h>
#include <stdio.h>
#include "FileCopy.h"

// EBhEENX
#define	MYWNDCLSNAME		"MyWindowClass"

#define		WM_FILECOPY		(WM_USER)

HINSTANCE g_hInst;					// CX^XEnh
static char g_src[MAX_PATH] = "";	// Rs[t@C
static char g_dsn[MAX_PATH] = "";	// Rs[t@C
static DWORD g_dwPosLow = 0;		// ɃRs[ʒủ32rbg
static LONG g_lPosHigh = 0;			// ɃRs[ʒȕ32rbg

static
void InitGlobals( void)
{
	g_dwPosLow = 0;
	g_lPosHigh = 0;
	g_dsn[0] = '\0';
}

void FileCopy( HWND hWnd)
{
	OPENFILENAME ofn;
	BROWSEINFO bi;
	LPITEMIDLIST pidl;
	
	InitGlobals();
	
	// Rs[t@Cw肷_CAO\
	memset( &ofn, 0, sizeof(ofn) );
	ofn.lStructSize = sizeof(ofn);
	ofn.hwndOwner  = hWnd;
	ofn.hInstance = g_hInst;
	ofn.Flags = OFN_FILEMUSTEXIST;
	ofn.lpstrTitle = "̧߰قw肵Ă";
	ofn.lpstrFile = g_src;
	ofn.nMaxFile = sizeof(g_src);
	if( !GetOpenFileName( &ofn) )	return;
	
	// Rs[fBNgw肷_CAO\
	memset( &bi, 0, sizeof(bi) );
	bi.hwndOwner = hWnd;
	bi.pszDisplayName = g_dsn;
	bi.lpszTitle = "߰ިڸ؂w肵Ă";
	bi.ulFlags = BIF_RETURNFSANCESTORS | BIF_RETURNONLYFSDIRS;
	pidl = SHBrowseForFolder( &bi);
	if( pidl != NULL){
		HANDLE fhDsn;
		LPMALLOC pMalloc;
		
		// ꂽʂpXɕϊ
		SHGetPathFromIDList( pidl, g_dsn);
		if( SHGetMalloc( &pMalloc) == NOERROR){
			IMalloc_Free( pMalloc, pidl);
		}
		
		// [gEfBNgłȂꍇɂ́CŌɁu\v
		// ĂȂ̂Œǉ
		if( g_dsn[3] != '\0')	strcat( g_dsn, "\\");
		
		// Rs[̃t@CǉāCRs[tpXɂ
		strcat( g_dsn, &g_src[ofn.nFileOffset]);
		
		// tpXŔrāCt@Cǂ`FbN
		if( stricmp( g_src, g_dsn) == 0){
			MessageBox( hWnd, "̧قɂͺ߰ł܂", "װ", MB_OK);
			return;
		}
		
		// Rs[t@CVK쐬[hŊJĂ݂āC
		// Õt@C邩ǂ`FbN
		fhDsn = CreateFile( g_dsn, GENERIC_WRITE, 0, NULL, CREATE_NEW,
								FILE_ATTRIBUTE_NORMAL, NULL);
		if( fhDsn == INVALID_HANDLE_VALUE){
			// łɂꍇɂ́C㏑̊mF
			if( MessageBox( hWnd, "̧ق߰ިڸ؂ɑ݂܂B\n"
								"㏑܂?", "mF", MB_YESNO)
					!= IDYES){
				return;		// ㏑Ȃ
			}
			
			// ߂ăRs[t@C쐬
			fhDsn = CreateFile( g_dsn, GENERIC_WRITE, 0, NULL, CREATE_ALWAYS,
									FILE_ATTRIBUTE_NORMAL, NULL);
		}
		
		// t@CU
		CloseHandle( fhDsn);
	}
}

#define	RC_ERROR		0
#define	RC_CONTINUE		1
#define	RC_COMPLETE		2

int FileCopyContinue( void)
{
	int rc = RC_ERROR;
	HANDLE fhSrc, fhDsn;
	char buffer[10000];
	DWORD readNum, writeNum;
	DWORD rc1, rc2;
	
	// Rs[̃t@CJ
	fhSrc = CreateFile( g_src, GENERIC_READ, 0, NULL, OPEN_EXISTING,
							0, NULL);
	if( fhSrc == INVALID_HANDLE_VALUE)	return rc;
	
	// Rs[̃t@CJ
	fhDsn = CreateFile( g_dsn, GENERIC_WRITE, 0, NULL, OPEN_EXISTING,
							0, NULL);
	if( fhDsn == INVALID_HANDLE_VALUE){
		CloseHandle( fhSrc);
		return rc;
	}
	
	// ꂼ̃t@C̃t@CE|C^CRs[ĊJʒuɂ
	SetFilePointer( fhSrc, (LONG)g_dwPosLow, &g_lPosHigh, FILE_BEGIN);
	rc1 = GetLastError();
	
	SetFilePointer( fhDsn, (LONG)g_dwPosLow, &g_lPosHigh, FILE_BEGIN);
	rc2 = GetLastError();
	
	// G[Ȃ΁Cobt@ETCY܂œǂݍŁC
	// Rs[ɏ
	if( rc1 == NO_ERROR && rc2 == NO_ERROR){
		int nLoop = 0;
		while( nLoop++ < 50){
			rc = RC_ERROR;
			if( ReadFile( fhSrc, buffer, sizeof(buffer), &readNum, NULL) ){
				if( WriteFile( fhDsn, buffer, readNum, &writeNum, NULL) ){
					rc = RC_CONTINUE;
					if( readNum != sizeof(buffer) ){
						rc = RC_COMPLETE;
						break;
					}
				}
			}
		}
	}
	
	// ܂ŃG[Ȃ΁CRs[t@C̃t@CE|C^
	// 擾C̃Rs[ĊJʒuƂB
	if( rc != RC_ERROR){
		g_lPosHigh = 0;
		g_dwPosLow = (DWORD)SetFilePointer( fhSrc, 0, &g_lPosHigh, FILE_CURRENT);
		if( GetLastError() != NO_ERROR)	rc = RC_ERROR;
	}
	
	// t@C͕Ă
	CloseHandle( fhSrc);
	CloseHandle( fhDsn);
	
	return rc;
}

LRESULT CALLBACK WndProc( HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam)
{
	switch( uMsg){
	case WM_COMMAND:
		switch( LOWORD(wParam) ){
		case IDM_COPY:
			if( g_dsn[0] != '\0'){
				MessageBox( hWnd, "߰sł", "װ", MB_OK);
			}
			else{
				FileCopy( hWnd);
			}
			return 0;
			
		case IDM_EXIT:
			DestroyWindow( hWnd);
			return 0;
		}
		break;
	
	case WM_FILECOPY:
		switch( FileCopyContinue() ){
		case RC_ERROR:		// G[
			DeleteFile( g_dsn);
			InitGlobals();
			MessageBox( hWnd, "̧ق̺߰Ɏs܂", "װ", MB_OK);
			break;
			
		case RC_COMPLETE:	// Rs[
			InitGlobals();
			MessageBox( hWnd, "̧ق̺߰܂", "", MB_OK);
		}
		return 0;
		
	case WM_DESTROY:
		PostQuitMessage( 0);
		return 0;
	}
	
	// ȂbZ[W̓VXeɔC
	return DefWindowProc( hWnd, uMsg, wParam, lParam);
}

int WINAPI WinMain( HINSTANCE hInst, HINSTANCE hPrevInst,
					LPSTR lpCmdLine, int nCmdShow)
{
	WNDCLASS wndcls;
	HWND hWnd;
	MSG msg;
	
	g_hInst = hInst;
	
	// EBhEENX̓o^
	ZeroMemory( &wndcls, sizeof(wndcls) );
	wndcls.lpfnWndProc = WndProc;
	wndcls.hInstance = hInst;
	wndcls.hIcon = LoadIcon( 0, IDI_APPLICATION);
	wndcls.hCursor = LoadCursor( 0, IDC_ARROW);
	wndcls.hbrBackground = (HBRUSH)COLOR_BACKGROUND;
	wndcls.lpszMenuName = "MAIN_MENU";
	wndcls.lpszClassName = MYWNDCLSNAME;
	if( RegisterClass( &wndcls) == 0)	return -1;
	
	// CEEBhE̍쐬
	hWnd = CreateWindow( MYWNDCLSNAME, "Main Window",
					WS_OVERLAPPEDWINDOW,
					CW_USEDEFAULT, CW_USEDEFAULT,
					400, 200,
					0,
					0, hInst, NULL);
	if( hWnd == 0)	return -2;
	
	// ɂāCEBhȄ\Ԃw肷
	ShowWindow( hWnd, nCmdShow);
	UpdateWindow( hWnd);
	
	// bZ[WE[v
	while( 1){
		// L[ɃbZ[W邩ǂ`FbN
		if( PeekMessage( &msg, 0, 0, 0, PM_REMOVE) ){
			// ꍇ͂
			if( msg.message == WM_QUIT)	break;
			DispatchMessage( &msg);
		}
		else{
			// ȂꍇŁCRs[JnĂ
			// bZ[W𑗂đ
			// t@Cݒ肳Ă邱ƂŁC
			// Rs[s𔻒f
			if( g_dsn[0] != '\0'){
				SendMessage( hWnd, WM_FILECOPY, 0, 0);
			}
		}
	}
	
	// WM_QUITbZ[WwParamvȌIR[hɂ
	return msg.wParam;
}
